3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $QUERYSTRING = "test.eps"; if( (substr(strtolower($QUERYSTRING), -3) != ".ai") && (substr(strtolower($QUERYSTRING), -4) != ".eps")) { echo "not allowed"; } else { echo "allowed"; }
based on hHYgb
Output for 4.3.0 - 7.1.0
allowed